﻿<div class="panel panel-flat table-responsive">

    @(Html.Kendo().Grid<YRPS.DTO.Log.AuditLogDto>()
                                                                                                                                                    .Name("gridAudit")
                                                                                                                                                    .Columns(columns =>
                                                                                                                                                    {
                                                                                                                                                        columns.Bound(c => c.Username);
                                                                                                                                                        columns.Bound(c => c.Action);
                                                                                                                                                        columns.Bound(c => c.KeyValues);
                                                                                                                                                        columns.Bound(c => c.OldValues);
                                                                                                                                                        columns.Bound(c => c.NewValues);

                                                                                                                                                    })


                                                                                                                                                .Sortable()
                                                                                                                                                .Filterable()

                                                                                                                                                 .Excel(excel => excel
                                                                                                                                                                   .FileName("Roles Audit")
                                                                                                                                                                   .AllPages(true)
                                                                                                                                                                   .Filterable(true)
                                                                                                                                                                )
                                                                                                                                                .Pageable(pageable => pageable
                                                                                                                                                    .PageSizes(true)
                                                                                                                                                    .ButtonCount(5))

                                                                                                                                                .DataSource(dataSource => dataSource
                                                                                                                                                    .Ajax()
                                                                                                                                                //.Read(read => read.Action("AllAuditLogs", "Audit"))
                                                                                                                                                )
    )
</div>